customloglevelmanager.h File Reference

This header contains declaration internal to log4cplus. More...

`#include <log4cplus/config.hxx>`
`#include <map>`
`#include <log4cplus/thread/syncprims.h>`
`#include <log4cplus/internal/internal.h>`
Include dependency graph for customloglevelmanager.h:

Go to the source code of this file.

## Classes

class | log4cplus::internal::CustomLogLevelManager
| Custom log level manager used by C API. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::internal

## Functions

LOG4CPLUS_PRIVATE CustomLogLevelManager & | log4cplus::internal::getCustomLogLevelManager ()

## Detailed Description

This header contains declaration internal to log4cplus.

They must never be visible from user accesible headers or exported in DLL/shared library.

Definition in file customloglevelmanager.h.